List labels for an app
GET
/v1/apps/{app_id}/labels
Lists the App's labels ordered by name.
Autorizações
SessionAuth
Admin session cookie set by POST /v1/auth/login. Dashboard-only management.
Tipo
API Key (cookie: notti_session)
ou
RESTKeyAuth
App REST key (rk_...). Server-to-server calls.
Tipo
HTTP (bearer)
Parâmetros
Parâmetros de Caminho
app_id*
App ID
Tipo
Obrigatóriostring
Respostas
OK
application/json
JSON { "app_id": "string", "created_at": "string", "id": "string", "name": "string" }
[
]
Create a label
POST
/v1/apps/{app_id}/labels
Find-or-create a label for the App: returns 201 with a new label, or 200 with the existing label when one with the same name (case-insensitively) already exists.
Autorizações
SessionAuth
Admin session cookie set by POST /v1/auth/login. Dashboard-only management.
Tipo
API Key (cookie: notti_session)
ou
RESTKeyAuth
App REST key (rk_...). Server-to-server calls.
Tipo
HTTP (bearer)
Parâmetros
Parâmetros de Caminho
app_id*
App ID
Tipo
Obrigatóriostring
Corpo da Requisição
application/json
JSON "name": "string"
{
}
Respostas
Returned when the label already existed
application/json
JSON "app_id": "string", "created_at": "string", "id": "string", "name": "string"
{
}